### Hierarchy

- unknown
  - RestoreAccountRequest

## Index

### Constructors

- constructor

### Methods

- getHasMore
- getOffset
- getTotalLength
- getZipBytes
- getZipBytes_asB64
- getZipBytes_asU8
- serializeBinary
- setHasMore
- setOffset
- setTotalLength
- setZipBytes
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RestoreAccountRequest(): RestoreAccountRequest

- Inherited from jspb.Message.constructor

  #### Returns RestoreAccountRequest

## Methods

### getHasMore

- getHasMore(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:368

  #### Returns boolean

### getOffset

- getOffset(): number

- - Defined in src/protobuf/grpc_pb.d.ts:362

  #### Returns number

### getTotalLength

- getTotalLength(): number

- - Defined in src/protobuf/grpc_pb.d.ts:365

  #### Returns number

### getZipBytes

- getZipBytes(): string | Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:357

  #### Returns string | Uint8Array

### getZipBytes_asB64

- getZipBytes_asB64(): string

- - Defined in src/protobuf/grpc_pb.d.ts:359

  #### Returns string

### getZipBytes_asU8

- getZipBytes_asU8(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:358

  #### Returns Uint8Array

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:371

  #### Returns Uint8Array

### setHasMore

- setHasMore(value: boolean): RestoreAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:369

  #### Parameters

  - ##### value: boolean

  #### Returns RestoreAccountRequest

### setOffset

- setOffset(value: number): RestoreAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:363

  #### Parameters

  - ##### value: number

  #### Returns RestoreAccountRequest

### setTotalLength

- setTotalLength(value: number): RestoreAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:366

  #### Parameters

  - ##### value: number

  #### Returns RestoreAccountRequest

### setZipBytes

- setZipBytes(value: string | Uint8Array): RestoreAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:360

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns RestoreAccountRequest

### toObject

- toObject(includeInstance?: boolean): RestoreAccountRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:372

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RestoreAccountRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RestoreAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:375

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RestoreAccountRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RestoreAccountRequest, reader: BinaryReader): RestoreAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:376

  #### Parameters

  - ##### message: RestoreAccountRequest

  - ##### reader: BinaryReader

  #### Returns RestoreAccountRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RestoreAccountRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:374

  #### Parameters

  - ##### message: RestoreAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RestoreAccountRequest ): RestoreAccountRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:373

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RestoreAccountRequest

  #### Returns RestoreAccountRequest . AsObject

Generated using TypeDoc